Option Strict Off
Option Explicit On
Module Module1
	Public OptionSortNets As Boolean
	Public OptionP As Boolean
	
	Sub Initialize()
		Dim Workstring As New VB6.FixedLengthString(255)
		Dim result As Integer
		Call WriteString(0, "Initializing")
		
		WriteCrLf((0))
		
		Call SetPinMap(0, "Input          ")
		Call SetPinMap(1, "BiDirectional  ")
		Call SetPinMap(2, "Output         ")
		Call SetPinMap(3, "Open Collector ")
		Call SetPinMap(4, "Passive        ")
		Call SetPinMap(5, "Hi-Z           ")
		Call SetPinMap(6, "Open Emitter   ")
		Call SetPinMap(7, "Power          ")
		
		SetCharSet("0123456789")
		SetNumberWidth(5)
		
		Call WriteString(1, "Wire List")
		WriteCrLf((1))
		WriteCrLf((1))
		
		Call CopySymbol(TitleString, Workstring.Value)
		result = PadSpaces(Workstring.Value, 46)
		Call WriteString(1, Workstring.Value)
		Call WriteString(1, "Revised: ")
		Call WriteSymbol(1, DateString_Renamed)
		WriteCrLf((1))
		Call CopySymbol(DocumentNumber, Workstring.Value)
		result = PadSpaces(Workstring.Value, 46)
		Call WriteString(1, Workstring.Value)
		Call WriteString(1, "Revision: ")
		Call WriteSymbol(1, Revision)
		WriteCrLf((1))
		Call WriteSymbol(1, Organization)
		WriteCrLf((1))
		Call WriteSymbol(1, AddressLine1)
		WriteCrLf((1))
		Call WriteSymbol(1, AddressLine2)
		WriteCrLf((1))
		Call WriteSymbol(1, AddressLine3)
		WriteCrLf((1))
		Call WriteSymbol(1, AddressLine4)
		WriteCrLf((1))
		WriteCrLf((1))
		
		'     sw_L = 1
		'     sw_P = SwitchIsSet("P")
		'     sw_N = SwitchIsSet("N")
		If OptionSortNets = True Then
			SortNets()
		End If
		
		
	End Sub
	Sub WriteHeader()
		
		Dim PartNameStr As String
		Dim ReferenceStr As String
		Dim ModuleNameStr As String
		Dim result As Integer
		Dim nlen As Integer
		
		PartNameStr = New String(vbNullChar, 255)
		ReferenceStr = New String(vbNullChar, 255)
		ModuleNameStr = New String(vbNullChar, 255)
		
		Call WriteString(1, "<<< Component List >>>")
		WriteCrLf((1))
		


        While (LoadInstance())

            Call CopySymbol(ReferenceString, ReferenceStr)
            Call WriteString(1, ReferenceStr)
            Call WriteString(1, "   ")


            Call CopySymbol(PartName, PartNameStr)
            Call WriteString(1, PartNameStr)
            Call WriteString(1, "   ")




            Call CopySymbol(ModuleName, ModuleNameStr)

            nlen = CLen(ModuleNameStr)
            If nlen > 0 Then
                Call WriteString(1, ModuleNameStr)
            Else
                Call WriteString(1, PartNameStr)
            End If
            WriteCrLf((1))


        End While
		
		WriteCrLf((1))
		Call WriteString(1, "<<< Wire List >>>")
		WriteCrLf((1))
		WriteCrLf((1))
		Call WriteString(1, "  NODE  REFERENCE    PIN #   PIN NAME  ")
		Call WriteString(1, "         PIN TYPE       PART VALUE")
		WriteCrLf((1))
		WriteCrLf((1))
		
	End Sub
	
	Sub HandleNodeName()
		
		Dim I As Integer
		Dim result As Integer
		
		Call WriteString(1, "[")
		Call WriteSymbol(1, NetNumber)
		Call WriteString(1, "] ")
		
		I = GetStandardSymbol(TypeCode)
		If I = Asc("L") Then
			' SetNumberWidth (1)
			Call WriteSymbol(1, SignalNameString)
			' /*
			' ** Not needed for Capture. All local labels are already uniquely named.
			' **
			' ** WriteString(1, " (")
			' ** if (sw_A == 0) {
			' **     WriteString(1, "local to sheet ")
			' ** }
			' ** WriteSymbol(1, SheetNumber)
			' ** WriteString(1, ")")
			' */

   



            SetNumberWidth(5)
        End If
        If I = Asc("P") Then
            Call WriteSymbol(1, SignalNameString)
        ElseIf I = Asc("S") Then
            Call WriteSymbol(1, SignalNameString)
        ElseIf I = Asc("N") Then
            Call WriteString(1, "X")
            Call WriteSymbol(1, NetNumber)
        ElseIf I = Asc("U") Then
            Call WriteString(1, "X")
            Call WriteSymbol(1, NetNumber)
        End If
        WriteCrLf((1))
	End Sub
	
	Sub WriteNet()
		
		Dim I As Integer
		Dim result As Integer
		Dim ReferenceStr As New VB6.FixedLengthString(255)
		Dim PinNumberStr As New VB6.FixedLengthString(255)
		Dim PinNameStr As New VB6.FixedLengthString(255)
		Dim nlen As Integer
		' Dim sw_p As Long
		
		' sw_p = 0
		Call WriteString(1, "        ")
		
		Call CopySymbol(ReferenceString, ReferenceStr.Value)
		result = PadSpaces(ReferenceStr.Value, 9)
		Call WriteString(1, ReferenceStr.Value)
		Call WriteString(1, "       ")
		
		'  don't check for legal characters unless /P is set
		Call CopySymbol(PinNumberString, PinNumberStr.Value)
		' If sw_p = 1 Then
		If OptionP = True Then
			I = SymbolInCharSet(PinNumberStr.Value)
		Else
			I = 1
		End If
		
		If I = 0 Then
			Call WriteString(1, "        ")
		Else
			result = PadSpaces(PinNumberStr.Value, 7)
			nlen = SymbolLength(PinNumberString)
			If nlen > 7 Then
				Call WriteString(0, "WARNING: Name is too long '")
				Call WriteSymbol(0, PinNumberString)
				Call WriteString(0, "', truncated to ")
				Call WriteString(0, PinNumberStr.Value)
				WriteCrLf((0))
				
				Call SetSymbol(ExitType, "W")
				
			End If
			Call WriteString(1, PinNumberStr.Value)
			Call WriteString(1, " ")
		End If
		
		
		
		Call CopySymbol(PinNameString, PinNameStr.Value)
		result = PadSpaces(PinNameStr.Value, 15)
		nlen = SymbolLength(PinNameString)
		If nlen > 15 Then
			Call WriteString(0, "WARNING: Name is too long '")
			Call WriteSymbol(0, PinNameString)
			Call WriteString(0, "', truncated to ")
			Call WriteString(0, PinNameStr.Value)
			WriteCrLf((0))
			
			Call SetSymbol(ExitType, "W")
			
		End If
		Call WriteString(1, PinNameStr.Value)
		Call WriteString(1, " ")
		
		I = GetStandardSymbol(PinType)
		result = WriteMap(1, I)
		
		Call WriteSymbol(1, PartName)
		WriteCrLf((1))
	End Sub
	
	
	Sub WriteNetEnding()
		WriteCrLf((1))
	End Sub
	
	Sub WriteNetListEnd()
		Dim result As Integer
        Call WriteString(0, "Done")
		WriteCrLf((0))
	End Sub
End Module